;************************************************************************
;***                    mirc.ini Modifier Script                      ***
;***                    Coded by: ARcanUSNUMquam                      ***
;***             Find me at irc.allxtremenet.net #scripts             ***
;***                         Version 1.0                              ***
;************************************************************************

;Usage: This script is designed to be used by scripters. In your script,
;       simply load this script, set %mircinimod = $true, and exit mIRC.
;       When mIRC starts again, the script will unload itself, and
;       remove its variables and the files it created.

;See included readme.txt for extended information.

on *:EXIT:{
  if (%mircinimod == $true) {
    remove -b mirc.ini.new
    remove -b mirc.ini.bak
    remove -b replace.bat
    copy -o mirc.ini mirc.ini.new
    write replace.bat @echo Please wait for mIRC to close
    write replace.bat @pause
    write replace.bat @copy mirc.ini mirc.ini.bak
    write replace.bat @echo Original mirc.ini renamed as mirc.ini.bak
    write replace.bat @echo.
    write replace.bat @copy mirc.ini.new mirc.ini
    write replace.bat @echo New mirc is now named mirc.ini
    write replace.bat @echo.
    write replace.bat @echo Please inspect the changes, and then reopen mIRC.
    write replace.bat @echo.
    write replace.bat @pause
    run replace.bat
  }
  unset %mircinimod
}
on *:UNLOAD:unset %mircinimod
on *:START:{
  unset %mircinimod
  remove mirc.ini.bak
  remove mirc.ini.new
  remove replace.bat
  unload -rs mircinimod.mrc
}
